### Function

# GimpUi prop_int_combo_box_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_int_combo_box_new (
      GObject* config,
      const gchar* property_name,
      GimpIntStore* store
    )

#### Description [src]

Creates a `GimpIntComboBox` widget to display and set the specified property. The contents of the widget are determined by `store`, which should be created using gimp_int_store_new().

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of int property controlled by combo box.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`store`

  Type: `GimpIntStore`

  `GimpIntStore` holding list of labels, values, etc.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

The newly created `GimpIntComboBox` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.